<HTML>
<HEAD><TITLE>Lattice TRACE Report</TITLE>
<STYLE TYPE="text/css">
<!--
 body,pre{    font-family:'Courier New', monospace;    color: #000000;    font-size:88%;    background-color: #ffffff;}h1 {    font-weight: bold;    margin-top: 24px;    margin-bottom: 10px;    border-bottom: 3px solid #000;    font-size: 1em;}h2 {    font-weight: bold;    margin-top: 18px;    margin-bottom: 5px;    font-size: 0.90em;}h3 {    font-weight: bold;    margin-top: 12px;    margin-bottom: 5px;    font-size: 0.80em;}p {    font-size:78%;}P.Table {    margin-top: 4px;    margin-bottom: 4px;    margin-right: 4px;    margin-left: 4px;}table{    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    border-collapse: collapse;}th {    font-weight:bold;    padding: 4px;    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    vertical-align:top;    text-align:left;    font-size:78%;}td {    padding: 4px;    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    vertical-align:top;    font-size:78%;}a {    color:#013C9A;    text-decoration:none;}a:visited {    color:#013C9A;}a:hover, a:active {    text-decoration:underline;    color:#5BAFD4;}.pass{background-color: #00ff00;}.fail{background-color: #ff0000;}.comment{    font-size: 90%;    font-style: italic;}
-->
</STYLE>
</HEAD>
<PRE><A name="Par_Twr"></A><B><U><big>Place & Route TRACE Report</big></U></B>

Loading design for application trce from file cpld_portatile_impl1.ncd.
Design name: cpld_portatile_top
NCD version: 3.3
Vendor:      LATTICE
Device:      LCMXO256C
Package:     TQFP100
Performance: 5
Loading device for application trce from file 'mj5g10x6.nph' in environment: D:/diamond/diamond/3.13/diamond/3.13/ispfpga.
Package Status:                     Final          Version 1.19.
Performance Hardware Data Status: Version 1.124.
Setup and Hold Report

--------------------------------------------------------------------------------
<A name="Par_Twr_setup"></A><B><U><big>Lattice TRACE Report - Setup, Version Diamond (64-bit) 3.13.0.56.2</big></U></B>
Tue Oct 15 20:41:40 2024

Copyright (c) 1991-1994 by NeoCAD Inc. All rights reserved.
Copyright (c) 1995 AT&T Corp.   All rights reserved.
Copyright (c) 1995-2001 Lucent Technologies Inc.  All rights reserved.
Copyright (c) 2001 Agere Systems   All rights reserved.
Copyright (c) 2002-2023 Lattice Semiconductor Corporation,  All rights reserved.

<A name="ptwr_set_ri"></A><B><U><big>Report Information</big></U></B>
------------------
Command line:    trce -v 10 -gt -sethld -sp 5 -sphld m -o CPLD_PORTATILE_impl1.twr -gui -msgset E:/Dropbox/Dropbox/Personale/progetti/Acube/cpld/promote.xml CPLD_PORTATILE_impl1.ncd CPLD_PORTATILE_impl1.prf 
Design file:     cpld_portatile_impl1.ncd
Preference file: cpld_portatile_impl1.prf
Device,speed:    LCMXO256C,5
Report level:    verbose report, limited to 10 items per preference
--------------------------------------------------------------------------------

<A name="ptwr_set_ps"></A><B><U><big>Preference Summary</big></U></B>

<FONT COLOR=red><LI><A href='#par_twr_pref_0_0' Target='right'><FONT COLOR=red>FREQUENCY NET "osc_outz" 579.710000 MHz (599 errors)</FONT></A></LI>
</FONT>            620 items scored, 599 timing errors detected.
Warning: 164.962MHz is the maximum frequency for this preference.

<FONT COLOR=red><LI><A href='#par_twr_pref_0_1' Target='right'><FONT COLOR=red>FREQUENCY NET "osc_int_2" 884.173000 MHz (11 errors)</FONT></A></LI>
</FONT>            11 items scored, 11 timing errors detected.
Warning: 502.008MHz is the maximum frequency for this preference.

Report Type:     based on TRACE automatically generated preferences
BLOCK ASYNCPATHS
BLOCK RESETPATHS
--------------------------------------------------------------------------------



================================================================================
<A name="par_twr_pref_0_0"></A>Preference: FREQUENCY NET "osc_outz" 579.710000 MHz ;
            620 items scored, 599 timing errors detected.
--------------------------------------------------------------------------------


Error: The following path exceeds requirements by 4.337ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              rst_cnt[19]  (from osc_outz +)
   Destination:    FF         Data in        rst_cnt[6]  (to osc_outz +)

   Delay:               5.933ns  (29.1% logic, 70.9% route), 6 logic levels.

 Constraint Details:

      5.933ns physical path delay SLICE_2 to SLICE_17 exceeds
      1.725ns delay constraint less
      0.000ns skew and
      0.129ns DIN_SET requirement (totaling 1.596ns) by 4.337ns

 Physical Path Details:

      Data path SLICE_2 to SLICE_17:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.400      R6C4B.CLK to       R6C4B.Q1 SLICE_2 (from osc_outz)
ROUTE         2     1.185       R6C4B.Q1 to       R6C4D.B1 rst_cnt[19]
CTOF_DEL    ---     0.265       R6C4D.B1 to       R6C4D.F1 SLICE_24
ROUTE         2     0.507       R6C4D.F1 to       R5C4C.D0 reset_state_m.un1_rst_cnt_11
CTOF_DEL    ---     0.265       R5C4C.D0 to       R5C4C.F0 SLICE_23
ROUTE         1     0.733       R5C4C.F0 to       R5C2C.A0 reset_state_m.un21_rst_cnt_12
CTOF_DEL    ---     0.265       R5C2C.A0 to       R5C2C.F0 SLICE_22
ROUTE         2     0.737       R5C2C.F0 to       R5C4A.A0 reset_state_m.un21_rst_cnt
CTOF_DEL    ---     0.265       R5C4A.A0 to       R5C4A.F0 SLICE_14
ROUTE         4     1.046       R5C4A.F0 to       R5C2B.B1 ihreset_n_0_sqmuxa
CTOF_DEL    ---     0.265       R5C2B.B1 to       R5C2B.F1 SLICE_17
ROUTE         1     0.000       R5C2B.F1 to      R5C2B.DI1 rst_cnt_5[6] (to osc_outz)
                  --------
                    5.933   (29.1% logic, 70.9% route), 6 logic levels.

 Clock Skew Details: 

      Source Clock Path SLICE_12 to SLICE_2:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     1.700       R3C2C.Q0 to      R6C4B.CLK osc_outz
                  --------
                    1.700   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path SLICE_12 to SLICE_17:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     1.700       R3C2C.Q0 to      R5C2B.CLK osc_outz
                  --------
                    1.700   (0.0% logic, 100.0% route), 0 logic levels.


Error: The following path exceeds requirements by 4.294ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              rst_cnt[20]  (from osc_outz +)
   Destination:    FF         Data in        rst_cnt[6]  (to osc_outz +)

   Delay:               5.890ns  (29.3% logic, 70.7% route), 6 logic levels.

 Constraint Details:

      5.890ns physical path delay SLICE_1 to SLICE_17 exceeds
      1.725ns delay constraint less
      0.000ns skew and
      0.129ns DIN_SET requirement (totaling 1.596ns) by 4.294ns

 Physical Path Details:

      Data path SLICE_1 to SLICE_17:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.400      R6C4C.CLK to       R6C4C.Q0 SLICE_1 (from osc_outz)
ROUTE         2     1.142       R6C4C.Q0 to       R6C4D.A1 rst_cnt[20]
CTOF_DEL    ---     0.265       R6C4D.A1 to       R6C4D.F1 SLICE_24
ROUTE         2     0.507       R6C4D.F1 to       R5C4C.D0 reset_state_m.un1_rst_cnt_11
CTOF_DEL    ---     0.265       R5C4C.D0 to       R5C4C.F0 SLICE_23
ROUTE         1     0.733       R5C4C.F0 to       R5C2C.A0 reset_state_m.un21_rst_cnt_12
CTOF_DEL    ---     0.265       R5C2C.A0 to       R5C2C.F0 SLICE_22
ROUTE         2     0.737       R5C2C.F0 to       R5C4A.A0 reset_state_m.un21_rst_cnt
CTOF_DEL    ---     0.265       R5C4A.A0 to       R5C4A.F0 SLICE_14
ROUTE         4     1.046       R5C4A.F0 to       R5C2B.B1 ihreset_n_0_sqmuxa
CTOF_DEL    ---     0.265       R5C2B.B1 to       R5C2B.F1 SLICE_17
ROUTE         1     0.000       R5C2B.F1 to      R5C2B.DI1 rst_cnt_5[6] (to osc_outz)
                  --------
                    5.890   (29.3% logic, 70.7% route), 6 logic levels.

 Clock Skew Details: 

      Source Clock Path SLICE_12 to SLICE_1:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     1.700       R3C2C.Q0 to      R6C4C.CLK osc_outz
                  --------
                    1.700   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path SLICE_12 to SLICE_17:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     1.700       R3C2C.Q0 to      R5C2B.CLK osc_outz
                  --------
                    1.700   (0.0% logic, 100.0% route), 0 logic levels.


Error: The following path exceeds requirements by 4.195ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              rst_cnt[18]  (from osc_outz +)
   Destination:    FF         Data in        rst_cnt[6]  (to osc_outz +)

   Delay:               5.791ns  (29.8% logic, 70.2% route), 6 logic levels.

 Constraint Details:

      5.791ns physical path delay SLICE_2 to SLICE_17 exceeds
      1.725ns delay constraint less
      0.000ns skew and
      0.129ns DIN_SET requirement (totaling 1.596ns) by 4.195ns

 Physical Path Details:

      Data path SLICE_2 to SLICE_17:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.400      R6C4B.CLK to       R6C4B.Q0 SLICE_2 (from osc_outz)
ROUTE         2     1.043       R6C4B.Q0 to       R6C4D.C1 rst_cnt[18]
CTOF_DEL    ---     0.265       R6C4D.C1 to       R6C4D.F1 SLICE_24
ROUTE         2     0.507       R6C4D.F1 to       R5C4C.D0 reset_state_m.un1_rst_cnt_11
CTOF_DEL    ---     0.265       R5C4C.D0 to       R5C4C.F0 SLICE_23
ROUTE         1     0.733       R5C4C.F0 to       R5C2C.A0 reset_state_m.un21_rst_cnt_12
CTOF_DEL    ---     0.265       R5C2C.A0 to       R5C2C.F0 SLICE_22
ROUTE         2     0.737       R5C2C.F0 to       R5C4A.A0 reset_state_m.un21_rst_cnt
CTOF_DEL    ---     0.265       R5C4A.A0 to       R5C4A.F0 SLICE_14
ROUTE         4     1.046       R5C4A.F0 to       R5C2B.B1 ihreset_n_0_sqmuxa
CTOF_DEL    ---     0.265       R5C2B.B1 to       R5C2B.F1 SLICE_17
ROUTE         1     0.000       R5C2B.F1 to      R5C2B.DI1 rst_cnt_5[6] (to osc_outz)
                  --------
                    5.791   (29.8% logic, 70.2% route), 6 logic levels.

 Clock Skew Details: 

      Source Clock Path SLICE_12 to SLICE_2:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     1.700       R3C2C.Q0 to      R6C4B.CLK osc_outz
                  --------
                    1.700   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path SLICE_12 to SLICE_17:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     1.700       R3C2C.Q0 to      R5C2B.CLK osc_outz
                  --------
                    1.700   (0.0% logic, 100.0% route), 0 logic levels.


Error: The following path exceeds requirements by 4.060ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              rst_cnt[19]  (from osc_outz +)
   Destination:    FF         Data in        rst_cnt[9]  (to osc_outz +)

   Delay:               5.656ns  (30.5% logic, 69.5% route), 6 logic levels.

 Constraint Details:

      5.656ns physical path delay SLICE_2 to SLICE_19 exceeds
      1.725ns delay constraint less
      0.000ns skew and
      0.129ns DIN_SET requirement (totaling 1.596ns) by 4.060ns

 Physical Path Details:

      Data path SLICE_2 to SLICE_19:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.400      R6C4B.CLK to       R6C4B.Q1 SLICE_2 (from osc_outz)
ROUTE         2     1.185       R6C4B.Q1 to       R6C4D.B1 rst_cnt[19]
CTOF_DEL    ---     0.265       R6C4D.B1 to       R6C4D.F1 SLICE_24
ROUTE         2     0.507       R6C4D.F1 to       R5C4C.D0 reset_state_m.un1_rst_cnt_11
CTOF_DEL    ---     0.265       R5C4C.D0 to       R5C4C.F0 SLICE_23
ROUTE         1     0.733       R5C4C.F0 to       R5C2C.A0 reset_state_m.un21_rst_cnt_12
CTOF_DEL    ---     0.265       R5C2C.A0 to       R5C2C.F0 SLICE_22
ROUTE         2     0.737       R5C2C.F0 to       R5C4A.A0 reset_state_m.un21_rst_cnt
CTOF_DEL    ---     0.265       R5C4A.A0 to       R5C4A.F0 SLICE_14
ROUTE         4     0.769       R5C4A.F0 to       R5C3C.D1 ihreset_n_0_sqmuxa
CTOF_DEL    ---     0.265       R5C3C.D1 to       R5C3C.F1 SLICE_19
ROUTE         1     0.000       R5C3C.F1 to      R5C3C.DI1 rst_cnt_5[9] (to osc_outz)
                  --------
                    5.656   (30.5% logic, 69.5% route), 6 logic levels.

 Clock Skew Details: 

      Source Clock Path SLICE_12 to SLICE_2:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     1.700       R3C2C.Q0 to      R6C4B.CLK osc_outz
                  --------
                    1.700   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path SLICE_12 to SLICE_19:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     1.700       R3C2C.Q0 to      R5C3C.CLK osc_outz
                  --------
                    1.700   (0.0% logic, 100.0% route), 0 logic levels.


Error: The following path exceeds requirements by 4.060ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              rst_cnt[19]  (from osc_outz +)
   Destination:    FF         Data in        rst_cnt[8]  (to osc_outz +)

   Delay:               5.656ns  (30.5% logic, 69.5% route), 6 logic levels.

 Constraint Details:

      5.656ns physical path delay SLICE_2 to SLICE_19 exceeds
      1.725ns delay constraint less
      0.000ns skew and
      0.129ns DIN_SET requirement (totaling 1.596ns) by 4.060ns

 Physical Path Details:

      Data path SLICE_2 to SLICE_19:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.400      R6C4B.CLK to       R6C4B.Q1 SLICE_2 (from osc_outz)
ROUTE         2     1.185       R6C4B.Q1 to       R6C4D.B1 rst_cnt[19]
CTOF_DEL    ---     0.265       R6C4D.B1 to       R6C4D.F1 SLICE_24
ROUTE         2     0.507       R6C4D.F1 to       R5C4C.D0 reset_state_m.un1_rst_cnt_11
CTOF_DEL    ---     0.265       R5C4C.D0 to       R5C4C.F0 SLICE_23
ROUTE         1     0.733       R5C4C.F0 to       R5C2C.A0 reset_state_m.un21_rst_cnt_12
CTOF_DEL    ---     0.265       R5C2C.A0 to       R5C2C.F0 SLICE_22
ROUTE         2     0.737       R5C2C.F0 to       R5C4A.A0 reset_state_m.un21_rst_cnt
CTOF_DEL    ---     0.265       R5C4A.A0 to       R5C4A.F0 SLICE_14
ROUTE         4     0.769       R5C4A.F0 to       R5C3C.D0 ihreset_n_0_sqmuxa
CTOF_DEL    ---     0.265       R5C3C.D0 to       R5C3C.F0 SLICE_19
ROUTE         1     0.000       R5C3C.F0 to      R5C3C.DI0 rst_cnt_5[8] (to osc_outz)
                  --------
                    5.656   (30.5% logic, 69.5% route), 6 logic levels.

 Clock Skew Details: 

      Source Clock Path SLICE_12 to SLICE_2:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     1.700       R3C2C.Q0 to      R6C4B.CLK osc_outz
                  --------
                    1.700   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path SLICE_12 to SLICE_19:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     1.700       R3C2C.Q0 to      R5C3C.CLK osc_outz
                  --------
                    1.700   (0.0% logic, 100.0% route), 0 logic levels.


Error: The following path exceeds requirements by 4.017ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              rst_cnt[20]  (from osc_outz +)
   Destination:    FF         Data in        rst_cnt[9]  (to osc_outz +)

   Delay:               5.613ns  (30.7% logic, 69.3% route), 6 logic levels.

 Constraint Details:

      5.613ns physical path delay SLICE_1 to SLICE_19 exceeds
      1.725ns delay constraint less
      0.000ns skew and
      0.129ns DIN_SET requirement (totaling 1.596ns) by 4.017ns

 Physical Path Details:

      Data path SLICE_1 to SLICE_19:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.400      R6C4C.CLK to       R6C4C.Q0 SLICE_1 (from osc_outz)
ROUTE         2     1.142       R6C4C.Q0 to       R6C4D.A1 rst_cnt[20]
CTOF_DEL    ---     0.265       R6C4D.A1 to       R6C4D.F1 SLICE_24
ROUTE         2     0.507       R6C4D.F1 to       R5C4C.D0 reset_state_m.un1_rst_cnt_11
CTOF_DEL    ---     0.265       R5C4C.D0 to       R5C4C.F0 SLICE_23
ROUTE         1     0.733       R5C4C.F0 to       R5C2C.A0 reset_state_m.un21_rst_cnt_12
CTOF_DEL    ---     0.265       R5C2C.A0 to       R5C2C.F0 SLICE_22
ROUTE         2     0.737       R5C2C.F0 to       R5C4A.A0 reset_state_m.un21_rst_cnt
CTOF_DEL    ---     0.265       R5C4A.A0 to       R5C4A.F0 SLICE_14
ROUTE         4     0.769       R5C4A.F0 to       R5C3C.D1 ihreset_n_0_sqmuxa
CTOF_DEL    ---     0.265       R5C3C.D1 to       R5C3C.F1 SLICE_19
ROUTE         1     0.000       R5C3C.F1 to      R5C3C.DI1 rst_cnt_5[9] (to osc_outz)
                  --------
                    5.613   (30.7% logic, 69.3% route), 6 logic levels.

 Clock Skew Details: 

      Source Clock Path SLICE_12 to SLICE_1:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     1.700       R3C2C.Q0 to      R6C4C.CLK osc_outz
                  --------
                    1.700   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path SLICE_12 to SLICE_19:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     1.700       R3C2C.Q0 to      R5C3C.CLK osc_outz
                  --------
                    1.700   (0.0% logic, 100.0% route), 0 logic levels.


Error: The following path exceeds requirements by 4.017ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              rst_cnt[20]  (from osc_outz +)
   Destination:    FF         Data in        rst_cnt[8]  (to osc_outz +)

   Delay:               5.613ns  (30.7% logic, 69.3% route), 6 logic levels.

 Constraint Details:

      5.613ns physical path delay SLICE_1 to SLICE_19 exceeds
      1.725ns delay constraint less
      0.000ns skew and
      0.129ns DIN_SET requirement (totaling 1.596ns) by 4.017ns

 Physical Path Details:

      Data path SLICE_1 to SLICE_19:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.400      R6C4C.CLK to       R6C4C.Q0 SLICE_1 (from osc_outz)
ROUTE         2     1.142       R6C4C.Q0 to       R6C4D.A1 rst_cnt[20]
CTOF_DEL    ---     0.265       R6C4D.A1 to       R6C4D.F1 SLICE_24
ROUTE         2     0.507       R6C4D.F1 to       R5C4C.D0 reset_state_m.un1_rst_cnt_11
CTOF_DEL    ---     0.265       R5C4C.D0 to       R5C4C.F0 SLICE_23
ROUTE         1     0.733       R5C4C.F0 to       R5C2C.A0 reset_state_m.un21_rst_cnt_12
CTOF_DEL    ---     0.265       R5C2C.A0 to       R5C2C.F0 SLICE_22
ROUTE         2     0.737       R5C2C.F0 to       R5C4A.A0 reset_state_m.un21_rst_cnt
CTOF_DEL    ---     0.265       R5C4A.A0 to       R5C4A.F0 SLICE_14
ROUTE         4     0.769       R5C4A.F0 to       R5C3C.D0 ihreset_n_0_sqmuxa
CTOF_DEL    ---     0.265       R5C3C.D0 to       R5C3C.F0 SLICE_19
ROUTE         1     0.000       R5C3C.F0 to      R5C3C.DI0 rst_cnt_5[8] (to osc_outz)
                  --------
                    5.613   (30.7% logic, 69.3% route), 6 logic levels.

 Clock Skew Details: 

      Source Clock Path SLICE_12 to SLICE_1:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     1.700       R3C2C.Q0 to      R6C4C.CLK osc_outz
                  --------
                    1.700   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path SLICE_12 to SLICE_19:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     1.700       R3C2C.Q0 to      R5C3C.CLK osc_outz
                  --------
                    1.700   (0.0% logic, 100.0% route), 0 logic levels.


Error: The following path exceeds requirements by 3.949ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              rst_cnt[19]  (from osc_outz +)
   Destination:    FF         Data in        rst_cnt[6]  (to osc_outz +)

   Delay:               5.545ns  (31.1% logic, 68.9% route), 6 logic levels.

 Constraint Details:

      5.545ns physical path delay SLICE_2 to SLICE_17 exceeds
      1.725ns delay constraint less
      0.000ns skew and
      0.129ns DIN_SET requirement (totaling 1.596ns) by 3.949ns

 Physical Path Details:

      Data path SLICE_2 to SLICE_17:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.400      R6C4B.CLK to       R6C4B.Q1 SLICE_2 (from osc_outz)
ROUTE         2     1.185       R6C4B.Q1 to       R6C4D.B1 rst_cnt[19]
CTOF_DEL    ---     0.265       R6C4D.B1 to       R6C4D.F1 SLICE_24
ROUTE         2     0.507       R6C4D.F1 to       R5C4C.D0 reset_state_m.un1_rst_cnt_11
CTOF_DEL    ---     0.265       R5C4C.D0 to       R5C4C.F0 SLICE_23
ROUTE         1     0.733       R5C4C.F0 to       R5C2C.A0 reset_state_m.un21_rst_cnt_12
CTOF_DEL    ---     0.265       R5C2C.A0 to       R5C2C.F0 SLICE_22
ROUTE         2     0.737       R5C2C.F0 to       R5C4A.A1 reset_state_m.un21_rst_cnt
CTOF_DEL    ---     0.265       R5C4A.A1 to       R5C4A.F1 SLICE_14
ROUTE         7     0.658       R5C4A.F1 to       R5C2B.C1 un1_ihreset_n_1_sqmuxa
CTOF_DEL    ---     0.265       R5C2B.C1 to       R5C2B.F1 SLICE_17
ROUTE         1     0.000       R5C2B.F1 to      R5C2B.DI1 rst_cnt_5[6] (to osc_outz)
                  --------
                    5.545   (31.1% logic, 68.9% route), 6 logic levels.

 Clock Skew Details: 

      Source Clock Path SLICE_12 to SLICE_2:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     1.700       R3C2C.Q0 to      R6C4B.CLK osc_outz
                  --------
                    1.700   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path SLICE_12 to SLICE_17:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     1.700       R3C2C.Q0 to      R5C2B.CLK osc_outz
                  --------
                    1.700   (0.0% logic, 100.0% route), 0 logic levels.


Error: The following path exceeds requirements by 3.949ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              rst_cnt[19]  (from osc_outz +)
   Destination:    FF         Data in        rst_cnt[0]  (to osc_outz +)

   Delay:               5.545ns  (31.1% logic, 68.9% route), 6 logic levels.

 Constraint Details:

      5.545ns physical path delay SLICE_2 to SLICE_17 exceeds
      1.725ns delay constraint less
      0.000ns skew and
      0.129ns DIN_SET requirement (totaling 1.596ns) by 3.949ns

 Physical Path Details:

      Data path SLICE_2 to SLICE_17:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.400      R6C4B.CLK to       R6C4B.Q1 SLICE_2 (from osc_outz)
ROUTE         2     1.185       R6C4B.Q1 to       R6C4D.B1 rst_cnt[19]
CTOF_DEL    ---     0.265       R6C4D.B1 to       R6C4D.F1 SLICE_24
ROUTE         2     0.507       R6C4D.F1 to       R5C4C.D0 reset_state_m.un1_rst_cnt_11
CTOF_DEL    ---     0.265       R5C4C.D0 to       R5C4C.F0 SLICE_23
ROUTE         1     0.733       R5C4C.F0 to       R5C2C.A0 reset_state_m.un21_rst_cnt_12
CTOF_DEL    ---     0.265       R5C2C.A0 to       R5C2C.F0 SLICE_22
ROUTE         2     0.737       R5C2C.F0 to       R5C4A.A1 reset_state_m.un21_rst_cnt
CTOF_DEL    ---     0.265       R5C4A.A1 to       R5C4A.F1 SLICE_14
ROUTE         7     0.658       R5C4A.F1 to       R5C2B.C0 un1_ihreset_n_1_sqmuxa
CTOF_DEL    ---     0.265       R5C2B.C0 to       R5C2B.F0 SLICE_17
ROUTE         1     0.000       R5C2B.F0 to      R5C2B.DI0 rst_cnt_5[0] (to osc_outz)
                  --------
                    5.545   (31.1% logic, 68.9% route), 6 logic levels.

 Clock Skew Details: 

      Source Clock Path SLICE_12 to SLICE_2:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     1.700       R3C2C.Q0 to      R6C4B.CLK osc_outz
                  --------
                    1.700   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path SLICE_12 to SLICE_17:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     1.700       R3C2C.Q0 to      R5C2B.CLK osc_outz
                  --------
                    1.700   (0.0% logic, 100.0% route), 0 logic levels.


Error: The following path exceeds requirements by 3.949ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              rst_cnt[19]  (from osc_outz +)
   Destination:    FF         Data in        rst_cnt[9]  (to osc_outz +)

   Delay:               5.545ns  (31.1% logic, 68.9% route), 6 logic levels.

 Constraint Details:

      5.545ns physical path delay SLICE_2 to SLICE_19 exceeds
      1.725ns delay constraint less
      0.000ns skew and
      0.129ns DIN_SET requirement (totaling 1.596ns) by 3.949ns

 Physical Path Details:

      Data path SLICE_2 to SLICE_19:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.400      R6C4B.CLK to       R6C4B.Q1 SLICE_2 (from osc_outz)
ROUTE         2     1.185       R6C4B.Q1 to       R6C4D.B1 rst_cnt[19]
CTOF_DEL    ---     0.265       R6C4D.B1 to       R6C4D.F1 SLICE_24
ROUTE         2     0.507       R6C4D.F1 to       R5C4C.D0 reset_state_m.un1_rst_cnt_11
CTOF_DEL    ---     0.265       R5C4C.D0 to       R5C4C.F0 SLICE_23
ROUTE         1     0.733       R5C4C.F0 to       R5C2C.A0 reset_state_m.un21_rst_cnt_12
CTOF_DEL    ---     0.265       R5C2C.A0 to       R5C2C.F0 SLICE_22
ROUTE         2     0.737       R5C2C.F0 to       R5C4A.A1 reset_state_m.un21_rst_cnt
CTOF_DEL    ---     0.265       R5C4A.A1 to       R5C4A.F1 SLICE_14
ROUTE         7     0.658       R5C4A.F1 to       R5C3C.C1 un1_ihreset_n_1_sqmuxa
CTOF_DEL    ---     0.265       R5C3C.C1 to       R5C3C.F1 SLICE_19
ROUTE         1     0.000       R5C3C.F1 to      R5C3C.DI1 rst_cnt_5[9] (to osc_outz)
                  --------
                    5.545   (31.1% logic, 68.9% route), 6 logic levels.

 Clock Skew Details: 

      Source Clock Path SLICE_12 to SLICE_2:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     1.700       R3C2C.Q0 to      R6C4B.CLK osc_outz
                  --------
                    1.700   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path SLICE_12 to SLICE_19:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     1.700       R3C2C.Q0 to      R5C3C.CLK osc_outz
                  --------
                    1.700   (0.0% logic, 100.0% route), 0 logic levels.

Warning: 164.962MHz is the maximum frequency for this preference.


================================================================================
<A name="par_twr_pref_0_1"></A>Preference: FREQUENCY NET "osc_int_2" 884.173000 MHz ;
            11 items scored, 11 timing errors detected.
--------------------------------------------------------------------------------


Error: The following path exceeds requirements by 0.861ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              osc_clk_cnt[0]  (from osc_int_2 +)
   Destination:    FF         Data in        osc_clk_cnt[4]  (to osc_int_2 +)

   Delay:               1.585ns  (71.4% logic, 28.6% route), 3 logic levels.

 Constraint Details:

      1.585ns physical path delay SLICE_0 to SLICE_12 exceeds
      1.131ns delay constraint less
      0.000ns skew and
      0.407ns FCI_SET requirement (totaling 0.724ns) by 0.861ns

 Physical Path Details:

      Data path SLICE_0 to SLICE_12:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.400      R3C2A.CLK to       R3C2A.Q0 SLICE_0 (from osc_int_2)
ROUTE         1     0.454       R3C2A.Q0 to       R3C2A.A0 osc_clk_cnt[0]
A0TOFCO_DE  ---     0.630       R3C2A.A0 to      R3C2A.FCO SLICE_0
ROUTE         1     0.000      R3C2A.FCO to      R3C2B.FCI osc_clk_cnt_cry[1]
FCITOFCO_D  ---     0.101      R3C2B.FCI to      R3C2B.FCO SLICE_13
ROUTE         1     0.000      R3C2B.FCO to      R3C2C.FCI osc_clk_cnt_cry[3] (to osc_int_2)
                  --------
                    1.585   (71.4% logic, 28.6% route), 3 logic levels.

 Clock Skew Details: 

      Source Clock Path OSCInst0 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     1.001        OSC.OSC to      R3C2A.CLK osc_int_2
                  --------
                    1.001   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path OSCInst0 to SLICE_12:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     1.001        OSC.OSC to      R3C2C.CLK osc_int_2
                  --------
                    1.001   (0.0% logic, 100.0% route), 0 logic levels.


Error: The following path exceeds requirements by 0.832ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              osc_clk_cnt[0]  (from osc_int_2 +)
   Destination:    FF         Data in        osc_clk_cnt_cry_0[2]  (to osc_int_2 +)
                   FF                        osc_clk_cnt[3]
                   FF                        osc_clk_cnt[2]

   Delay:               1.484ns  (69.4% logic, 30.6% route), 2 logic levels.

 Constraint Details:

      1.484ns physical path delay SLICE_0 to SLICE_13 exceeds
      1.131ns delay constraint less
      0.000ns skew and
      0.479ns FCI_SET requirement (totaling 0.652ns) by 0.832ns

 Physical Path Details:

      Data path SLICE_0 to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.400      R3C2A.CLK to       R3C2A.Q0 SLICE_0 (from osc_int_2)
ROUTE         1     0.454       R3C2A.Q0 to       R3C2A.A0 osc_clk_cnt[0]
A0TOFCO_DE  ---     0.630       R3C2A.A0 to      R3C2A.FCO SLICE_0
ROUTE         1     0.000      R3C2A.FCO to      R3C2B.FCI osc_clk_cnt_cry[1] (to osc_int_2)
                  --------
                    1.484   (69.4% logic, 30.6% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path OSCInst0 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     1.001        OSC.OSC to      R3C2A.CLK osc_int_2
                  --------
                    1.001   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path OSCInst0 to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     1.001        OSC.OSC to      R3C2B.CLK osc_int_2
                  --------
                    1.001   (0.0% logic, 100.0% route), 0 logic levels.


Error: The following path exceeds requirements by 0.778ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              osc_clk_cnt[1]  (from osc_int_2 +)
   Destination:    FF         Data in        osc_clk_cnt[4]  (to osc_int_2 +)

   Delay:               1.502ns  (69.8% logic, 30.2% route), 3 logic levels.

 Constraint Details:

      1.502ns physical path delay SLICE_0 to SLICE_12 exceeds
      1.131ns delay constraint less
      0.000ns skew and
      0.407ns FCI_SET requirement (totaling 0.724ns) by 0.778ns

 Physical Path Details:

      Data path SLICE_0 to SLICE_12:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.400      R3C2A.CLK to       R3C2A.Q1 SLICE_0 (from osc_int_2)
ROUTE         1     0.454       R3C2A.Q1 to       R3C2A.A1 osc_clk_cnt[1]
A1TOFCO_DE  ---     0.547       R3C2A.A1 to      R3C2A.FCO SLICE_0
ROUTE         1     0.000      R3C2A.FCO to      R3C2B.FCI osc_clk_cnt_cry[1]
FCITOFCO_D  ---     0.101      R3C2B.FCI to      R3C2B.FCO SLICE_13
ROUTE         1     0.000      R3C2B.FCO to      R3C2C.FCI osc_clk_cnt_cry[3] (to osc_int_2)
                  --------
                    1.502   (69.8% logic, 30.2% route), 3 logic levels.

 Clock Skew Details: 

      Source Clock Path OSCInst0 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     1.001        OSC.OSC to      R3C2A.CLK osc_int_2
                  --------
                    1.001   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path OSCInst0 to SLICE_12:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     1.001        OSC.OSC to      R3C2C.CLK osc_int_2
                  --------
                    1.001   (0.0% logic, 100.0% route), 0 logic levels.


Error: The following path exceeds requirements by 0.760ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              osc_clk_cnt[2]  (from osc_int_2 +)
   Destination:    FF         Data in        osc_clk_cnt[4]  (to osc_int_2 +)

   Delay:               1.484ns  (69.4% logic, 30.6% route), 2 logic levels.

 Constraint Details:

      1.484ns physical path delay SLICE_13 to SLICE_12 exceeds
      1.131ns delay constraint less
      0.000ns skew and
      0.407ns FCI_SET requirement (totaling 0.724ns) by 0.760ns

 Physical Path Details:

      Data path SLICE_13 to SLICE_12:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.400      R3C2B.CLK to       R3C2B.Q0 SLICE_13 (from osc_int_2)
ROUTE         1     0.454       R3C2B.Q0 to       R3C2B.A0 osc_clk_cnt[2]
A0TOFCO_DE  ---     0.630       R3C2B.A0 to      R3C2B.FCO SLICE_13
ROUTE         1     0.000      R3C2B.FCO to      R3C2C.FCI osc_clk_cnt_cry[3] (to osc_int_2)
                  --------
                    1.484   (69.4% logic, 30.6% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path OSCInst0 to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     1.001        OSC.OSC to      R3C2B.CLK osc_int_2
                  --------
                    1.001   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path OSCInst0 to SLICE_12:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     1.001        OSC.OSC to      R3C2C.CLK osc_int_2
                  --------
                    1.001   (0.0% logic, 100.0% route), 0 logic levels.


Error: The following path exceeds requirements by 0.749ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              osc_clk_cnt[1]  (from osc_int_2 +)
   Destination:    FF         Data in        osc_clk_cnt_cry_0[2]  (to osc_int_2 +)
                   FF                        osc_clk_cnt[3]
                   FF                        osc_clk_cnt[2]

   Delay:               1.401ns  (67.6% logic, 32.4% route), 2 logic levels.

 Constraint Details:

      1.401ns physical path delay SLICE_0 to SLICE_13 exceeds
      1.131ns delay constraint less
      0.000ns skew and
      0.479ns FCI_SET requirement (totaling 0.652ns) by 0.749ns

 Physical Path Details:

      Data path SLICE_0 to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.400      R3C2A.CLK to       R3C2A.Q1 SLICE_0 (from osc_int_2)
ROUTE         1     0.454       R3C2A.Q1 to       R3C2A.A1 osc_clk_cnt[1]
A1TOFCO_DE  ---     0.547       R3C2A.A1 to      R3C2A.FCO SLICE_0
ROUTE         1     0.000      R3C2A.FCO to      R3C2B.FCI osc_clk_cnt_cry[1] (to osc_int_2)
                  --------
                    1.401   (67.6% logic, 32.4% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path OSCInst0 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     1.001        OSC.OSC to      R3C2A.CLK osc_int_2
                  --------
                    1.001   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path OSCInst0 to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     1.001        OSC.OSC to      R3C2B.CLK osc_int_2
                  --------
                    1.001   (0.0% logic, 100.0% route), 0 logic levels.


Error: The following path exceeds requirements by 0.677ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              osc_clk_cnt[3]  (from osc_int_2 +)
   Destination:    FF         Data in        osc_clk_cnt[4]  (to osc_int_2 +)

   Delay:               1.401ns  (67.6% logic, 32.4% route), 2 logic levels.

 Constraint Details:

      1.401ns physical path delay SLICE_13 to SLICE_12 exceeds
      1.131ns delay constraint less
      0.000ns skew and
      0.407ns FCI_SET requirement (totaling 0.724ns) by 0.677ns

 Physical Path Details:

      Data path SLICE_13 to SLICE_12:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.400      R3C2B.CLK to       R3C2B.Q1 SLICE_13 (from osc_int_2)
ROUTE         1     0.454       R3C2B.Q1 to       R3C2B.A1 osc_clk_cnt[3]
A1TOFCO_DE  ---     0.547       R3C2B.A1 to      R3C2B.FCO SLICE_13
ROUTE         1     0.000      R3C2B.FCO to      R3C2C.FCI osc_clk_cnt_cry[3] (to osc_int_2)
                  --------
                    1.401   (67.6% logic, 32.4% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path OSCInst0 to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     1.001        OSC.OSC to      R3C2B.CLK osc_int_2
                  --------
                    1.001   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path OSCInst0 to SLICE_12:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     1.001        OSC.OSC to      R3C2C.CLK osc_int_2
                  --------
                    1.001   (0.0% logic, 100.0% route), 0 logic levels.


Error: The following path exceeds requirements by 0.335ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              osc_clk_cnt[0]  (from osc_int_2 +)
   Destination:    FF         Data in        osc_clk_cnt_cry_0[0]  (to osc_int_2 +)
                   FF                        osc_clk_cnt[1]
                   FF                        osc_clk_cnt[0]

   Delay:               0.854ns  (46.8% logic, 53.2% route), 1 logic levels.

 Constraint Details:

      0.854ns physical path delay SLICE_0 to SLICE_0 exceeds
      1.131ns delay constraint less
      0.000ns skew and
      0.612ns LUT_SET requirement (totaling 0.519ns) by 0.335ns

 Physical Path Details:

      Data path SLICE_0 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.400      R3C2A.CLK to       R3C2A.Q0 SLICE_0 (from osc_int_2)
ROUTE         1     0.454       R3C2A.Q0 to       R3C2A.A0 osc_clk_cnt[0] (to osc_int_2)
                  --------
                    0.854   (46.8% logic, 53.2% route), 1 logic levels.

 Clock Skew Details: 

      Source Clock Path OSCInst0 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     1.001        OSC.OSC to      R3C2A.CLK osc_int_2
                  --------
                    1.001   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path OSCInst0 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     1.001        OSC.OSC to      R3C2A.CLK osc_int_2
                  --------
                    1.001   (0.0% logic, 100.0% route), 0 logic levels.


Error: The following path exceeds requirements by 0.335ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              osc_clk_cnt[2]  (from osc_int_2 +)
   Destination:    FF         Data in        osc_clk_cnt_cry_0[2]  (to osc_int_2 +)
                   FF                        osc_clk_cnt[3]
                   FF                        osc_clk_cnt[2]

   Delay:               0.854ns  (46.8% logic, 53.2% route), 1 logic levels.

 Constraint Details:

      0.854ns physical path delay SLICE_13 to SLICE_13 exceeds
      1.131ns delay constraint less
      0.000ns skew and
      0.612ns LUT_SET requirement (totaling 0.519ns) by 0.335ns

 Physical Path Details:

      Data path SLICE_13 to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.400      R3C2B.CLK to       R3C2B.Q0 SLICE_13 (from osc_int_2)
ROUTE         1     0.454       R3C2B.Q0 to       R3C2B.A0 osc_clk_cnt[2] (to osc_int_2)
                  --------
                    0.854   (46.8% logic, 53.2% route), 1 logic levels.

 Clock Skew Details: 

      Source Clock Path OSCInst0 to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     1.001        OSC.OSC to      R3C2B.CLK osc_int_2
                  --------
                    1.001   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path OSCInst0 to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     1.001        OSC.OSC to      R3C2B.CLK osc_int_2
                  --------
                    1.001   (0.0% logic, 100.0% route), 0 logic levels.


Error: The following path exceeds requirements by 0.181ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              osc_clk_cnt[4]  (from osc_int_2 +)
   Destination:    FF         Data in        osc_clk_cnt[4]  (to osc_int_2 +)

   Delay:               0.876ns  (45.7% logic, 54.3% route), 1 logic levels.

 Constraint Details:

      0.876ns physical path delay SLICE_12 to SLICE_12 exceeds
      1.131ns delay constraint less
      0.000ns skew and
      0.436ns LUT_SET requirement (totaling 0.695ns) by 0.181ns

 Physical Path Details:

      Data path SLICE_12 to SLICE_12:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.400      R3C2C.CLK to       R3C2C.Q0 SLICE_12 (from osc_int_2)
ROUTE        17     0.476       R3C2C.Q0 to       R3C2C.A0 osc_outz (to osc_int_2)
                  --------
                    0.876   (45.7% logic, 54.3% route), 1 logic levels.

 Clock Skew Details: 

      Source Clock Path OSCInst0 to SLICE_12:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     1.001        OSC.OSC to      R3C2C.CLK osc_int_2
                  --------
                    1.001   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path OSCInst0 to SLICE_12:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     1.001        OSC.OSC to      R3C2C.CLK osc_int_2
                  --------
                    1.001   (0.0% logic, 100.0% route), 0 logic levels.


Error: The following path exceeds requirements by 0.091ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              osc_clk_cnt[1]  (from osc_int_2 +)
   Destination:    FF         Data in        osc_clk_cnt_cry_0[0]  (to osc_int_2 +)
                   FF                        osc_clk_cnt[1]
                   FF                        osc_clk_cnt[0]

   Delay:               0.854ns  (46.8% logic, 53.2% route), 1 logic levels.

 Constraint Details:

      0.854ns physical path delay SLICE_0 to SLICE_0 exceeds
      1.131ns delay constraint less
      0.000ns skew and
      0.368ns LUT_SET requirement (totaling 0.763ns) by 0.091ns

 Physical Path Details:

      Data path SLICE_0 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.400      R3C2A.CLK to       R3C2A.Q1 SLICE_0 (from osc_int_2)
ROUTE         1     0.454       R3C2A.Q1 to       R3C2A.A1 osc_clk_cnt[1] (to osc_int_2)
                  --------
                    0.854   (46.8% logic, 53.2% route), 1 logic levels.

 Clock Skew Details: 

      Source Clock Path OSCInst0 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     1.001        OSC.OSC to      R3C2A.CLK osc_int_2
                  --------
                    1.001   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path OSCInst0 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     1.001        OSC.OSC to      R3C2A.CLK osc_int_2
                  --------
                    1.001   (0.0% logic, 100.0% route), 0 logic levels.

Warning: 502.008MHz is the maximum frequency for this preference.

<A name="ptwr_set_rs"></A><B><U><big>Report Summary</big></U></B>
--------------
----------------------------------------------------------------------------
Preference                              |   Constraint|       Actual|Levels
----------------------------------------------------------------------------
                                        |             |             |
FREQUENCY NET "osc_outz" 579.710000 MHz |             |             |
;                                       |  579.710 MHz|  164.962 MHz|   6 *
                                        |             |             |
FREQUENCY NET "osc_int_2" 884.173000    |             |             |
MHz ;                                   |  884.173 MHz|  502.008 MHz|   3 *
                                        |             |             |
----------------------------------------------------------------------------


2 preferences(marked by "*" above) not met.

----------------------------------------------------------------------------
Critical Nets                           |   Loads|  Errors| % of total
----------------------------------------------------------------------------
<a href="bali://?app=PHYSICAL_VIEW&amp;sig=LocateNet&amp;args=un1_ihreset_n_1_sqmuxa">un1_ihreset_n_1_sqmuxa</a>                  |       7|     294|     48.20%
                                        |        |        |
reset_state_m.un21_rst_cnt              |       2|     220|     36.07%
                                        |        |        |
reset_state_m.un1_rst_cnt               |       4|     200|     32.79%
                                        |        |        |
reset_state_m.un21_rst_cnt_12           |       1|      88|     14.43%
                                        |        |        |
<a href="bali://?app=PHYSICAL_VIEW&amp;sig=LocateNet&amp;args=ihreset_n_0_sqmuxa">ihreset_n_0_sqmuxa</a>                      |       4|      86|     14.10%
                                        |        |        |
reset_state_m.un1_rst_cnt_11            |       2|      84|     13.77%
                                        |        |        |
<a href="bali://?app=PHYSICAL_VIEW&amp;sig=LocateNet&amp;args=un3_rst_cnt_cry_7">un3_rst_cnt_cry_7</a>                       |       1|      80|     13.11%
                                        |        |        |
<a href="bali://?app=PHYSICAL_VIEW&amp;sig=LocateNet&amp;args=un3_rst_cnt_cry_9">un3_rst_cnt_cry_9</a>                       |       1|      80|     13.11%
                                        |        |        |
reset_state_m.un1_rst_cnt_12            |       1|      80|     13.11%
                                        |        |        |
<a href="bali://?app=PHYSICAL_VIEW&amp;sig=LocateNet&amp;args=rst_cnt_5[9]">rst_cnt_5[9]</a>                            |       1|      74|     12.13%
                                        |        |        |
<a href="bali://?app=PHYSICAL_VIEW&amp;sig=LocateNet&amp;args=rst_cnt_5[8]">rst_cnt_5[8]</a>                            |       1|      73|     11.97%
                                        |        |        |
<a href="bali://?app=PHYSICAL_VIEW&amp;sig=LocateNet&amp;args=un3_rst_cnt_cry_5">un3_rst_cnt_cry_5</a>                       |       1|      72|     11.80%
                                        |        |        |
<a href="bali://?app=PHYSICAL_VIEW&amp;sig=LocateNet&amp;args=un3_rst_cnt_cry_11">un3_rst_cnt_cry_11</a>                      |       1|      72|     11.80%
                                        |        |        |
<a href="bali://?app=PHYSICAL_VIEW&amp;sig=LocateNet&amp;args=rst_cnt_5[6]">rst_cnt_5[6]</a>                            |       1|      71|     11.64%
                                        |        |        |
----------------------------------------------------------------------------


<A name="ptwr_set_clkda"></A><B><U><big>Clock Domains Analysis</big></U></B>
------------------------

Found 2 clocks:

Clock Domain: osc_outz   Source: SLICE_12.Q0   Loads: 17
   Covered under: FREQUENCY NET "osc_outz" 579.710000 MHz ;

Clock Domain: osc_int_2   Source: OSCInst0.CFGCLK   Loads: 3
   Covered under: FREQUENCY NET "osc_int_2" 884.173000 MHz ;


<A name="ptwr_set_ts"></A><B><U><big>Timing summary (Setup):</big></U></B>
---------------

Timing errors: 610  Score: 1334297
Cumulative negative slack: 1334297

Constraints cover 634 paths, 2 nets, and 163 connections (98.19% coverage)

--------------------------------------------------------------------------------
<A name="Par_Twr_hold"></A><B><U><big>Lattice TRACE Report - Hold, Version Diamond (64-bit) 3.13.0.56.2</big></U></B>
Tue Oct 15 20:41:40 2024

Copyright (c) 1991-1994 by NeoCAD Inc. All rights reserved.
Copyright (c) 1995 AT&T Corp.   All rights reserved.
Copyright (c) 1995-2001 Lucent Technologies Inc.  All rights reserved.
Copyright (c) 2001 Agere Systems   All rights reserved.
Copyright (c) 2002-2023 Lattice Semiconductor Corporation,  All rights reserved.

<A name="ptwr_hold_ri"></A><B><U><big>Report Information</big></U></B>
------------------
Command line:    trce -v 10 -gt -sethld -sp 5 -sphld m -o CPLD_PORTATILE_impl1.twr -gui -msgset E:/Dropbox/Dropbox/Personale/progetti/Acube/cpld/promote.xml CPLD_PORTATILE_impl1.ncd CPLD_PORTATILE_impl1.prf 
Design file:     cpld_portatile_impl1.ncd
Preference file: cpld_portatile_impl1.prf
Device,speed:    LCMXO256C,m
Report level:    verbose report, limited to 10 items per preference
--------------------------------------------------------------------------------

<A name="ptwr_hold_ps"></A><B><U><big>Preference Summary</big></U></B>

<LI><A href='#par_twr_pref_1_0' Target='right'>FREQUENCY NET "osc_outz" 579.710000 MHz (0 errors)</A></LI>            620 items scored, 0 timing errors detected.

<LI><A href='#par_twr_pref_1_1' Target='right'>FREQUENCY NET "osc_int_2" 884.173000 MHz (0 errors)</A></LI>            11 items scored, 0 timing errors detected.

BLOCK ASYNCPATHS
BLOCK RESETPATHS
--------------------------------------------------------------------------------



================================================================================
<A name="par_twr_pref_1_0"></A>Preference: FREQUENCY NET "osc_outz" 579.710000 MHz ;
            620 items scored, 0 timing errors detected.
--------------------------------------------------------------------------------


Passed: The following path meets requirements by 0.301ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              rst_cnt[3]  (from osc_outz +)
   Destination:    FF         Data in        un3_rst_cnt_cry_2_0  (to osc_outz +)
                   FF                        rst_cnt[3]
                   FF                        rst_cnt[2]

   Delay:               0.257ns  (49.0% logic, 51.0% route), 1 logic levels.

 Constraint Details:

      0.257ns physical path delay SLICE_10 to SLICE_10 meets
     -0.044ns LUT_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.044ns) by 0.301ns

 Physical Path Details:

      Data path SLICE_10 to SLICE_10:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.126      R6C2B.CLK to       R6C2B.Q1 SLICE_10 (from osc_outz)
ROUTE         3     0.131       R6C2B.Q1 to       R6C2B.A1 rst_cnt[3] (to osc_outz)
                  --------
                    0.257   (49.0% logic, 51.0% route), 1 logic levels.

 Clock Skew Details: 

      Source Clock Path SLICE_12 to SLICE_10:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     0.587       R3C2C.Q0 to      R6C2B.CLK osc_outz
                  --------
                    0.587   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path SLICE_12 to SLICE_10:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     0.587       R3C2C.Q0 to      R6C2B.CLK osc_outz
                  --------
                    0.587   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.301ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              rst_cnt[1]  (from osc_outz +)
   Destination:    FF         Data in        un3_rst_cnt_cry_0_0  (to osc_outz +)
                   FF                        rst_cnt[1]

   Delay:               0.257ns  (49.0% logic, 51.0% route), 1 logic levels.

 Constraint Details:

      0.257ns physical path delay SLICE_11 to SLICE_11 meets
     -0.044ns LUT_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.044ns) by 0.301ns

 Physical Path Details:

      Data path SLICE_11 to SLICE_11:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.126      R6C2A.CLK to       R6C2A.Q1 SLICE_11 (from osc_outz)
ROUTE         3     0.131       R6C2A.Q1 to       R6C2A.A1 rst_cnt[1] (to osc_outz)
                  --------
                    0.257   (49.0% logic, 51.0% route), 1 logic levels.

 Clock Skew Details: 

      Source Clock Path SLICE_12 to SLICE_11:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     0.587       R3C2C.Q0 to      R6C2A.CLK osc_outz
                  --------
                    0.587   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path SLICE_12 to SLICE_11:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     0.587       R3C2C.Q0 to      R6C2A.CLK osc_outz
                  --------
                    0.587   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.301ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              rst_cnt[19]  (from osc_outz +)
   Destination:    FF         Data in        un3_rst_cnt_cry_18_0  (to osc_outz +)
                   FF                        rst_cnt[19]
                   FF                        rst_cnt[18]

   Delay:               0.257ns  (49.0% logic, 51.0% route), 1 logic levels.

 Constraint Details:

      0.257ns physical path delay SLICE_2 to SLICE_2 meets
     -0.044ns LUT_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.044ns) by 0.301ns

 Physical Path Details:

      Data path SLICE_2 to SLICE_2:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.126      R6C4B.CLK to       R6C4B.Q1 SLICE_2 (from osc_outz)
ROUTE         2     0.131       R6C4B.Q1 to       R6C4B.A1 rst_cnt[19] (to osc_outz)
                  --------
                    0.257   (49.0% logic, 51.0% route), 1 logic levels.

 Clock Skew Details: 

      Source Clock Path SLICE_12 to SLICE_2:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     0.587       R3C2C.Q0 to      R6C4B.CLK osc_outz
                  --------
                    0.587   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path SLICE_12 to SLICE_2:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     0.587       R3C2C.Q0 to      R6C4B.CLK osc_outz
                  --------
                    0.587   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.301ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              rst_cnt[17]  (from osc_outz +)
   Destination:    FF         Data in        un3_rst_cnt_cry_16_0  (to osc_outz +)
                   FF                        rst_cnt[17]
                   FF                        rst_cnt[16]

   Delay:               0.257ns  (49.0% logic, 51.0% route), 1 logic levels.

 Constraint Details:

      0.257ns physical path delay SLICE_3 to SLICE_3 meets
     -0.044ns LUT_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.044ns) by 0.301ns

 Physical Path Details:

      Data path SLICE_3 to SLICE_3:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.126      R6C4A.CLK to       R6C4A.Q1 SLICE_3 (from osc_outz)
ROUTE         2     0.131       R6C4A.Q1 to       R6C4A.A1 rst_cnt[17] (to osc_outz)
                  --------
                    0.257   (49.0% logic, 51.0% route), 1 logic levels.

 Clock Skew Details: 

      Source Clock Path SLICE_12 to SLICE_3:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     0.587       R3C2C.Q0 to      R6C4A.CLK osc_outz
                  --------
                    0.587   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path SLICE_12 to SLICE_3:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     0.587       R3C2C.Q0 to      R6C4A.CLK osc_outz
                  --------
                    0.587   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.301ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              rst_cnt[5]  (from osc_outz +)
   Destination:    FF         Data in        un3_rst_cnt_cry_4_0  (to osc_outz +)
                   FF                        rst_cnt[5]
                   FF                        rst_cnt[4]

   Delay:               0.257ns  (49.0% logic, 51.0% route), 1 logic levels.

 Constraint Details:

      0.257ns physical path delay SLICE_9 to SLICE_9 meets
     -0.044ns LUT_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.044ns) by 0.301ns

 Physical Path Details:

      Data path SLICE_9 to SLICE_9:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.126      R6C2C.CLK to       R6C2C.Q1 SLICE_9 (from osc_outz)
ROUTE         3     0.131       R6C2C.Q1 to       R6C2C.A1 rst_cnt[5] (to osc_outz)
                  --------
                    0.257   (49.0% logic, 51.0% route), 1 logic levels.

 Clock Skew Details: 

      Source Clock Path SLICE_12 to SLICE_9:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     0.587       R3C2C.Q0 to      R6C2C.CLK osc_outz
                  --------
                    0.587   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path SLICE_12 to SLICE_9:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     0.587       R3C2C.Q0 to      R6C2C.CLK osc_outz
                  --------
                    0.587   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.302ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              rst_cnt[18]  (from osc_outz +)
   Destination:    FF         Data in        un3_rst_cnt_cry_18_0  (to osc_outz +)
                   FF                        rst_cnt[19]
                   FF                        rst_cnt[18]

   Delay:               0.257ns  (49.0% logic, 51.0% route), 1 logic levels.

 Constraint Details:

      0.257ns physical path delay SLICE_2 to SLICE_2 meets
     -0.045ns LUT_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.045ns) by 0.302ns

 Physical Path Details:

      Data path SLICE_2 to SLICE_2:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.126      R6C4B.CLK to       R6C4B.Q0 SLICE_2 (from osc_outz)
ROUTE         2     0.131       R6C4B.Q0 to       R6C4B.A0 rst_cnt[18] (to osc_outz)
                  --------
                    0.257   (49.0% logic, 51.0% route), 1 logic levels.

 Clock Skew Details: 

      Source Clock Path SLICE_12 to SLICE_2:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     0.587       R3C2C.Q0 to      R6C4B.CLK osc_outz
                  --------
                    0.587   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path SLICE_12 to SLICE_2:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     0.587       R3C2C.Q0 to      R6C4B.CLK osc_outz
                  --------
                    0.587   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.304ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              rst_cnt[15]  (from osc_outz +)
   Destination:    FF         Data in        un3_rst_cnt_cry_14_0  (to osc_outz +)
                   FF                        rst_cnt[15]
                   FF                        rst_cnt[14]

   Delay:               0.260ns  (48.5% logic, 51.5% route), 1 logic levels.

 Constraint Details:

      0.260ns physical path delay SLICE_4 to SLICE_4 meets
     -0.044ns LUT_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.044ns) by 0.304ns

 Physical Path Details:

      Data path SLICE_4 to SLICE_4:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.126      R6C3D.CLK to       R6C3D.Q1 SLICE_4 (from osc_outz)
ROUTE         3     0.134       R6C3D.Q1 to       R6C3D.A1 rst_cnt[15] (to osc_outz)
                  --------
                    0.260   (48.5% logic, 51.5% route), 1 logic levels.

 Clock Skew Details: 

      Source Clock Path SLICE_12 to SLICE_4:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     0.587       R3C2C.Q0 to      R6C3D.CLK osc_outz
                  --------
                    0.587   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path SLICE_12 to SLICE_4:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     0.587       R3C2C.Q0 to      R6C3D.CLK osc_outz
                  --------
                    0.587   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.305ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              rst_cnt[2]  (from osc_outz +)
   Destination:    FF         Data in        un3_rst_cnt_cry_2_0  (to osc_outz +)
                   FF                        rst_cnt[3]
                   FF                        rst_cnt[2]

   Delay:               0.260ns  (48.5% logic, 51.5% route), 1 logic levels.

 Constraint Details:

      0.260ns physical path delay SLICE_10 to SLICE_10 meets
     -0.045ns LUT_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.045ns) by 0.305ns

 Physical Path Details:

      Data path SLICE_10 to SLICE_10:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.126      R6C2B.CLK to       R6C2B.Q0 SLICE_10 (from osc_outz)
ROUTE         3     0.134       R6C2B.Q0 to       R6C2B.A0 rst_cnt[2] (to osc_outz)
                  --------
                    0.260   (48.5% logic, 51.5% route), 1 logic levels.

 Clock Skew Details: 

      Source Clock Path SLICE_12 to SLICE_10:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     0.587       R3C2C.Q0 to      R6C2B.CLK osc_outz
                  --------
                    0.587   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path SLICE_12 to SLICE_10:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     0.587       R3C2C.Q0 to      R6C2B.CLK osc_outz
                  --------
                    0.587   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.305ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              rst_cnt[16]  (from osc_outz +)
   Destination:    FF         Data in        un3_rst_cnt_cry_16_0  (to osc_outz +)
                   FF                        rst_cnt[17]
                   FF                        rst_cnt[16]

   Delay:               0.260ns  (48.5% logic, 51.5% route), 1 logic levels.

 Constraint Details:

      0.260ns physical path delay SLICE_3 to SLICE_3 meets
     -0.045ns LUT_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.045ns) by 0.305ns

 Physical Path Details:

      Data path SLICE_3 to SLICE_3:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.126      R6C4A.CLK to       R6C4A.Q0 SLICE_3 (from osc_outz)
ROUTE         3     0.134       R6C4A.Q0 to       R6C4A.A0 rst_cnt[16] (to osc_outz)
                  --------
                    0.260   (48.5% logic, 51.5% route), 1 logic levels.

 Clock Skew Details: 

      Source Clock Path SLICE_12 to SLICE_3:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     0.587       R3C2C.Q0 to      R6C4A.CLK osc_outz
                  --------
                    0.587   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path SLICE_12 to SLICE_3:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     0.587       R3C2C.Q0 to      R6C4A.CLK osc_outz
                  --------
                    0.587   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.305ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              rst_cnt[14]  (from osc_outz +)
   Destination:    FF         Data in        un3_rst_cnt_cry_14_0  (to osc_outz +)
                   FF                        rst_cnt[15]
                   FF                        rst_cnt[14]

   Delay:               0.260ns  (48.5% logic, 51.5% route), 1 logic levels.

 Constraint Details:

      0.260ns physical path delay SLICE_4 to SLICE_4 meets
     -0.045ns LUT_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.045ns) by 0.305ns

 Physical Path Details:

      Data path SLICE_4 to SLICE_4:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.126      R6C3D.CLK to       R6C3D.Q0 SLICE_4 (from osc_outz)
ROUTE         3     0.134       R6C3D.Q0 to       R6C3D.A0 rst_cnt[14] (to osc_outz)
                  --------
                    0.260   (48.5% logic, 51.5% route), 1 logic levels.

 Clock Skew Details: 

      Source Clock Path SLICE_12 to SLICE_4:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     0.587       R3C2C.Q0 to      R6C3D.CLK osc_outz
                  --------
                    0.587   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path SLICE_12 to SLICE_4:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE        17     0.587       R3C2C.Q0 to      R6C3D.CLK osc_outz
                  --------
                    0.587   (0.0% logic, 100.0% route), 0 logic levels.


================================================================================
<A name="par_twr_pref_1_1"></A>Preference: FREQUENCY NET "osc_int_2" 884.173000 MHz ;
            11 items scored, 0 timing errors detected.
--------------------------------------------------------------------------------


Passed: The following path meets requirements by 0.297ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              osc_clk_cnt[1]  (from osc_int_2 +)
   Destination:    FF         Data in        osc_clk_cnt_cry_0[0]  (to osc_int_2 +)
                   FF                        osc_clk_cnt[1]
                   FF                        osc_clk_cnt[0]

   Delay:               0.253ns  (49.8% logic, 50.2% route), 1 logic levels.

 Constraint Details:

      0.253ns physical path delay SLICE_0 to SLICE_0 meets
     -0.044ns LUT_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.044ns) by 0.297ns

 Physical Path Details:

      Data path SLICE_0 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.126      R3C2A.CLK to       R3C2A.Q1 SLICE_0 (from osc_int_2)
ROUTE         1     0.127       R3C2A.Q1 to       R3C2A.A1 osc_clk_cnt[1] (to osc_int_2)
                  --------
                    0.253   (49.8% logic, 50.2% route), 1 logic levels.

 Clock Skew Details: 

      Source Clock Path OSCInst0 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     0.345        OSC.OSC to      R3C2A.CLK osc_int_2
                  --------
                    0.345   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path OSCInst0 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     0.345        OSC.OSC to      R3C2A.CLK osc_int_2
                  --------
                    0.345   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.297ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              osc_clk_cnt[3]  (from osc_int_2 +)
   Destination:    FF         Data in        osc_clk_cnt_cry_0[2]  (to osc_int_2 +)
                   FF                        osc_clk_cnt[3]
                   FF                        osc_clk_cnt[2]

   Delay:               0.253ns  (49.8% logic, 50.2% route), 1 logic levels.

 Constraint Details:

      0.253ns physical path delay SLICE_13 to SLICE_13 meets
     -0.044ns LUT_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.044ns) by 0.297ns

 Physical Path Details:

      Data path SLICE_13 to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.126      R3C2B.CLK to       R3C2B.Q1 SLICE_13 (from osc_int_2)
ROUTE         1     0.127       R3C2B.Q1 to       R3C2B.A1 osc_clk_cnt[3] (to osc_int_2)
                  --------
                    0.253   (49.8% logic, 50.2% route), 1 logic levels.

 Clock Skew Details: 

      Source Clock Path OSCInst0 to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     0.345        OSC.OSC to      R3C2B.CLK osc_int_2
                  --------
                    0.345   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path OSCInst0 to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     0.345        OSC.OSC to      R3C2B.CLK osc_int_2
                  --------
                    0.345   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.298ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              osc_clk_cnt[0]  (from osc_int_2 +)
   Destination:    FF         Data in        osc_clk_cnt_cry_0[0]  (to osc_int_2 +)
                   FF                        osc_clk_cnt[1]
                   FF                        osc_clk_cnt[0]

   Delay:               0.253ns  (49.8% logic, 50.2% route), 1 logic levels.

 Constraint Details:

      0.253ns physical path delay SLICE_0 to SLICE_0 meets
     -0.045ns LUT_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.045ns) by 0.298ns

 Physical Path Details:

      Data path SLICE_0 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.126      R3C2A.CLK to       R3C2A.Q0 SLICE_0 (from osc_int_2)
ROUTE         1     0.127       R3C2A.Q0 to       R3C2A.A0 osc_clk_cnt[0] (to osc_int_2)
                  --------
                    0.253   (49.8% logic, 50.2% route), 1 logic levels.

 Clock Skew Details: 

      Source Clock Path OSCInst0 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     0.345        OSC.OSC to      R3C2A.CLK osc_int_2
                  --------
                    0.345   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path OSCInst0 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     0.345        OSC.OSC to      R3C2A.CLK osc_int_2
                  --------
                    0.345   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.298ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              osc_clk_cnt[2]  (from osc_int_2 +)
   Destination:    FF         Data in        osc_clk_cnt_cry_0[2]  (to osc_int_2 +)
                   FF                        osc_clk_cnt[3]
                   FF                        osc_clk_cnt[2]

   Delay:               0.253ns  (49.8% logic, 50.2% route), 1 logic levels.

 Constraint Details:

      0.253ns physical path delay SLICE_13 to SLICE_13 meets
     -0.045ns LUT_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.045ns) by 0.298ns

 Physical Path Details:

      Data path SLICE_13 to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.126      R3C2B.CLK to       R3C2B.Q0 SLICE_13 (from osc_int_2)
ROUTE         1     0.127       R3C2B.Q0 to       R3C2B.A0 osc_clk_cnt[2] (to osc_int_2)
                  --------
                    0.253   (49.8% logic, 50.2% route), 1 logic levels.

 Clock Skew Details: 

      Source Clock Path OSCInst0 to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     0.345        OSC.OSC to      R3C2B.CLK osc_int_2
                  --------
                    0.345   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path OSCInst0 to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     0.345        OSC.OSC to      R3C2B.CLK osc_int_2
                  --------
                    0.345   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.319ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              osc_clk_cnt[4]  (from osc_int_2 +)
   Destination:    FF         Data in        osc_clk_cnt[4]  (to osc_int_2 +)

   Delay:               0.260ns  (48.5% logic, 51.5% route), 1 logic levels.

 Constraint Details:

      0.260ns physical path delay SLICE_12 to SLICE_12 meets
     -0.059ns LUT_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.059ns) by 0.319ns

 Physical Path Details:

      Data path SLICE_12 to SLICE_12:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.126      R3C2C.CLK to       R3C2C.Q0 SLICE_12 (from osc_int_2)
ROUTE        17     0.134       R3C2C.Q0 to       R3C2C.A0 osc_outz (to osc_int_2)
                  --------
                    0.260   (48.5% logic, 51.5% route), 1 logic levels.

 Clock Skew Details: 

      Source Clock Path OSCInst0 to SLICE_12:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     0.345        OSC.OSC to      R3C2C.CLK osc_int_2
                  --------
                    0.345   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path OSCInst0 to SLICE_12:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     0.345        OSC.OSC to      R3C2C.CLK osc_int_2
                  --------
                    0.345   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.489ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              osc_clk_cnt[1]  (from osc_int_2 +)
   Destination:    FF         Data in        osc_clk_cnt_cry_0[2]  (to osc_int_2 +)
                   FF                        osc_clk_cnt[3]
                   FF                        osc_clk_cnt[2]

   Delay:               0.405ns  (68.6% logic, 31.4% route), 2 logic levels.

 Constraint Details:

      0.405ns physical path delay SLICE_0 to SLICE_13 meets
     -0.084ns FCI_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.084ns) by 0.489ns

 Physical Path Details:

      Data path SLICE_0 to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.126      R3C2A.CLK to       R3C2A.Q1 SLICE_0 (from osc_int_2)
ROUTE         1     0.127       R3C2A.Q1 to       R3C2A.A1 osc_clk_cnt[1]
A1TOFCO_DE  ---     0.152       R3C2A.A1 to      R3C2A.FCO SLICE_0
ROUTE         1     0.000      R3C2A.FCO to      R3C2B.FCI osc_clk_cnt_cry[1] (to osc_int_2)
                  --------
                    0.405   (68.6% logic, 31.4% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path OSCInst0 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     0.345        OSC.OSC to      R3C2A.CLK osc_int_2
                  --------
                    0.345   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path OSCInst0 to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     0.345        OSC.OSC to      R3C2B.CLK osc_int_2
                  --------
                    0.345   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.489ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              osc_clk_cnt[3]  (from osc_int_2 +)
   Destination:    FF         Data in        osc_clk_cnt[4]  (to osc_int_2 +)

   Delay:               0.405ns  (68.6% logic, 31.4% route), 2 logic levels.

 Constraint Details:

      0.405ns physical path delay SLICE_13 to SLICE_12 meets
     -0.084ns FCI_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.084ns) by 0.489ns

 Physical Path Details:

      Data path SLICE_13 to SLICE_12:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.126      R3C2B.CLK to       R3C2B.Q1 SLICE_13 (from osc_int_2)
ROUTE         1     0.127       R3C2B.Q1 to       R3C2B.A1 osc_clk_cnt[3]
A1TOFCO_DE  ---     0.152       R3C2B.A1 to      R3C2B.FCO SLICE_13
ROUTE         1     0.000      R3C2B.FCO to      R3C2C.FCI osc_clk_cnt_cry[3] (to osc_int_2)
                  --------
                    0.405   (68.6% logic, 31.4% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path OSCInst0 to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     0.345        OSC.OSC to      R3C2B.CLK osc_int_2
                  --------
                    0.345   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path OSCInst0 to SLICE_12:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     0.345        OSC.OSC to      R3C2C.CLK osc_int_2
                  --------
                    0.345   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.512ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              osc_clk_cnt[0]  (from osc_int_2 +)
   Destination:    FF         Data in        osc_clk_cnt_cry_0[2]  (to osc_int_2 +)
                   FF                        osc_clk_cnt[3]
                   FF                        osc_clk_cnt[2]

   Delay:               0.428ns  (70.3% logic, 29.7% route), 2 logic levels.

 Constraint Details:

      0.428ns physical path delay SLICE_0 to SLICE_13 meets
     -0.084ns FCI_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.084ns) by 0.512ns

 Physical Path Details:

      Data path SLICE_0 to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.126      R3C2A.CLK to       R3C2A.Q0 SLICE_0 (from osc_int_2)
ROUTE         1     0.127       R3C2A.Q0 to       R3C2A.A0 osc_clk_cnt[0]
A0TOFCO_DE  ---     0.175       R3C2A.A0 to      R3C2A.FCO SLICE_0
ROUTE         1     0.000      R3C2A.FCO to      R3C2B.FCI osc_clk_cnt_cry[1] (to osc_int_2)
                  --------
                    0.428   (70.3% logic, 29.7% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path OSCInst0 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     0.345        OSC.OSC to      R3C2A.CLK osc_int_2
                  --------
                    0.345   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path OSCInst0 to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     0.345        OSC.OSC to      R3C2B.CLK osc_int_2
                  --------
                    0.345   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.512ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              osc_clk_cnt[2]  (from osc_int_2 +)
   Destination:    FF         Data in        osc_clk_cnt[4]  (to osc_int_2 +)

   Delay:               0.428ns  (70.3% logic, 29.7% route), 2 logic levels.

 Constraint Details:

      0.428ns physical path delay SLICE_13 to SLICE_12 meets
     -0.084ns FCI_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.084ns) by 0.512ns

 Physical Path Details:

      Data path SLICE_13 to SLICE_12:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.126      R3C2B.CLK to       R3C2B.Q0 SLICE_13 (from osc_int_2)
ROUTE         1     0.127       R3C2B.Q0 to       R3C2B.A0 osc_clk_cnt[2]
A0TOFCO_DE  ---     0.175       R3C2B.A0 to      R3C2B.FCO SLICE_13
ROUTE         1     0.000      R3C2B.FCO to      R3C2C.FCI osc_clk_cnt_cry[3] (to osc_int_2)
                  --------
                    0.428   (70.3% logic, 29.7% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path OSCInst0 to SLICE_13:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     0.345        OSC.OSC to      R3C2B.CLK osc_int_2
                  --------
                    0.345   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path OSCInst0 to SLICE_12:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     0.345        OSC.OSC to      R3C2C.CLK osc_int_2
                  --------
                    0.345   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.517ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              osc_clk_cnt[1]  (from osc_int_2 +)
   Destination:    FF         Data in        osc_clk_cnt[4]  (to osc_int_2 +)

   Delay:               0.433ns  (70.7% logic, 29.3% route), 3 logic levels.

 Constraint Details:

      0.433ns physical path delay SLICE_0 to SLICE_12 meets
     -0.084ns FCI_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.084ns) by 0.517ns

 Physical Path Details:

      Data path SLICE_0 to SLICE_12:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.126      R3C2A.CLK to       R3C2A.Q1 SLICE_0 (from osc_int_2)
ROUTE         1     0.127       R3C2A.Q1 to       R3C2A.A1 osc_clk_cnt[1]
A1TOFCO_DE  ---     0.152       R3C2A.A1 to      R3C2A.FCO SLICE_0
ROUTE         1     0.000      R3C2A.FCO to      R3C2B.FCI osc_clk_cnt_cry[1]
FCITOFCO_D  ---     0.028      R3C2B.FCI to      R3C2B.FCO SLICE_13
ROUTE         1     0.000      R3C2B.FCO to      R3C2C.FCI osc_clk_cnt_cry[3] (to osc_int_2)
                  --------
                    0.433   (70.7% logic, 29.3% route), 3 logic levels.

 Clock Skew Details: 

      Source Clock Path OSCInst0 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     0.345        OSC.OSC to      R3C2A.CLK osc_int_2
                  --------
                    0.345   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path OSCInst0 to SLICE_12:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         3     0.345        OSC.OSC to      R3C2C.CLK osc_int_2
                  --------
                    0.345   (0.0% logic, 100.0% route), 0 logic levels.

<A name="ptwr_hold_rs"></A><B><U><big>Report Summary</big></U></B>
--------------
----------------------------------------------------------------------------
Preference(MIN Delays)                  |   Constraint|       Actual|Levels
----------------------------------------------------------------------------
                                        |             |             |
FREQUENCY NET "osc_outz" 579.710000 MHz |             |             |
;                                       |     0.000 ns|     0.301 ns|   1  
                                        |             |             |
FREQUENCY NET "osc_int_2" 884.173000    |             |             |
MHz ;                                   |     0.000 ns|     0.297 ns|   1  
                                        |             |             |
----------------------------------------------------------------------------


All preferences were met.


<A name="ptwr_hold_clkda"></A><B><U><big>Clock Domains Analysis</big></U></B>
------------------------

Found 2 clocks:

Clock Domain: osc_outz   Source: SLICE_12.Q0   Loads: 17
   Covered under: FREQUENCY NET "osc_outz" 579.710000 MHz ;

Clock Domain: osc_int_2   Source: OSCInst0.CFGCLK   Loads: 3
   Covered under: FREQUENCY NET "osc_int_2" 884.173000 MHz ;


<A name="ptwr_hold_ts"></A><B><U><big>Timing summary (Hold):</big></U></B>
---------------

Timing errors: 0  Score: 0
Cumulative negative slack: 0

Constraints cover 631 paths, 2 nets, and 163 connections (98.19% coverage)



<A name="ptwr_ts"></A><B><U><big>Timing summary (Setup and Hold):</big></U></B>
---------------

Timing errors: 610 (setup), 0 (hold)
Score: 1334297 (setup), 0 (hold)
Cumulative negative slack: 1334297 (1334297+0)
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------




<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
</PRE></FONT>
</BODY>
</HTML>
